## ros-indigo-or-msgs 0.0.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.6)
project(or_msgs)

find_package(catkin REQUIRED COMPONENTS message_generation roscpp sensor_msgs cmake_modules)

add_message_files(FILES 
BoundingBox2D.msg
ExtractKeyPoints.msg
KeyPointMatchArray.msg
KeyPointMatch.msg
KeyPoint.msg
MatchResult.msg
OrCommand.msg
OrLearnCommand.msg
OrLearningStatus.msg
OrMatchResult.msg
OrObjectNames.msg
Point2D.msg
#VectorObject2D.msg
)

add_service_files(
FILES
RecognizeImage.srv
)

generate_messages(DEPENDENCIES sensor_msgs)
#generate_services(DEPENDENCIES)

catkin_package(
    CATKIN_DEPENDS message_runtime std_msgs roscpp_serialization sensor_msgs
)

=== debian/changelog ===
ros-indigo-or-msgs (0.0.4-0trusty) trusty; urgency=high



 -- Viktor Seib <vseib@uni-koblenz.de>  Mon, 07 Dec 2015 23:00:00 -0000

ros-indigo-or-msgs (0.0.3-0trusty) trusty; urgency=high

  * added maintainers + fixed robbie_architecture-includes
  * Contributors: Niklas Yann Wettengel

 -- Viktor Seib <vseib@uni-koblenz.de>  Sun, 06 Dec 2015 23:00:00 -0000

ros-indigo-or-msgs (0.0.2-0trusty) trusty; urgency=high

  * big bang
  * Contributors: Raphael Memmesheimer

 -- raphael <raphael@uni-koblenz.de>  Mon, 07 Sep 2015 22:00:00 -0000

=== debian/control ===
Source: ros-indigo-or-msgs
Section: misc
Priority: extra
Maintainer: Viktor Seib <vseib@uni-koblenz.de>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-cmake-modules, ros-indigo-cv-bridge, ros-indigo-genmsg, ros-indigo-message-generation, ros-indigo-roscpp, ros-indigo-roscpp-serialization, ros-indigo-roslang, ros-indigo-sensor-msgs, ros-indigo-std-msgs
Homepage: http://ros.org/wiki/user_distance_tracker
Standards-Version: 3.9.2

Package: ros-indigo-or-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-cv-bridge, ros-indigo-message-runtime, ros-indigo-roscpp-serialization, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-tf
Description: or_msgs

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-or-msgs//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
